<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateManufacturingOrderResponse StructType
 * @subpackage Structs
 */
class CreateManufacturingOrderResponse extends AbstractStructBase
{
    /**
     * The context
     * @var \StructType\Context
     */
    public $context;
    /**
     * The successful
     * @var bool
     */
    public $successful;
    /**
     * The key
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \StructType\ManufacturingOrderKey
     */
    public $key;
    /**
     * The relatedMoMaterialsKeys
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \ArrayType\ArrayOfMOComponentKey
     */
    public $relatedMoMaterialsKeys;
    /**
     * The relatedMoOperationsKeys
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \ArrayType\ArrayOfMOOperationKey
     */
    public $relatedMoOperationsKeys;
    /**
     * The messages
     * @var \ArrayType\ArrayOfUserMessage
     */
    public $messages;
    /**
     * Constructor method for CreateManufacturingOrderResponse
     * @uses CreateManufacturingOrderResponse::setContext()
     * @uses CreateManufacturingOrderResponse::setSuccessful()
     * @uses CreateManufacturingOrderResponse::setKey()
     * @uses CreateManufacturingOrderResponse::setRelatedMoMaterialsKeys()
     * @uses CreateManufacturingOrderResponse::setRelatedMoOperationsKeys()
     * @uses CreateManufacturingOrderResponse::setMessages()
     * @param \StructType\Context $context
     * @param bool $successful
     * @param \StructType\ManufacturingOrderKey $key
     * @param \ArrayType\ArrayOfMOComponentKey $relatedMoMaterialsKeys
     * @param \ArrayType\ArrayOfMOOperationKey $relatedMoOperationsKeys
     * @param \ArrayType\ArrayOfUserMessage $messages
     */
    public function __construct(\StructType\Context $context = null, $successful = null, \StructType\ManufacturingOrderKey $key = null, \ArrayType\ArrayOfMOComponentKey $relatedMoMaterialsKeys = null, \ArrayType\ArrayOfMOOperationKey $relatedMoOperationsKeys = null, \ArrayType\ArrayOfUserMessage $messages = null)
    {
        $this
            ->setContext($context)
            ->setSuccessful($successful)
            ->setKey($key)
            ->setRelatedMoMaterialsKeys($relatedMoMaterialsKeys)
            ->setRelatedMoOperationsKeys($relatedMoOperationsKeys)
            ->setMessages($messages);
    }
    /**
     * Get context value
     * @return \StructType\Context|null
     */
    public function getContext()
    {
        return $this->context;
    }
    /**
     * Set context value
     * @param \StructType\Context $context
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public function setContext(\StructType\Context $context = null)
    {
        $this->context = $context;
        return $this;
    }
    /**
     * Get successful value
     * @return bool|null
     */
    public function getSuccessful()
    {
        return $this->successful;
    }
    /**
     * Set successful value
     * @param bool $successful
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public function setSuccessful($successful = null)
    {
        // validation for constraint: boolean
        if (!is_null($successful) && !is_bool($successful)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($successful, true), gettype($successful)), __LINE__);
        }
        $this->successful = $successful;
        return $this;
    }
    /**
     * Get key value
     * @return \StructType\ManufacturingOrderKey|null
     */
    public function getKey()
    {
        return $this->key;
    }
    /**
     * Set key value
     * @param \StructType\ManufacturingOrderKey $key
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public function setKey(\StructType\ManufacturingOrderKey $key = null)
    {
        $this->key = $key;
        return $this;
    }
    /**
     * Get relatedMoMaterialsKeys value
     * @return \ArrayType\ArrayOfMOComponentKey|null
     */
    public function getRelatedMoMaterialsKeys()
    {
        return $this->relatedMoMaterialsKeys;
    }
    /**
     * Set relatedMoMaterialsKeys value
     * @param \ArrayType\ArrayOfMOComponentKey $relatedMoMaterialsKeys
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public function setRelatedMoMaterialsKeys(\ArrayType\ArrayOfMOComponentKey $relatedMoMaterialsKeys = null)
    {
        $this->relatedMoMaterialsKeys = $relatedMoMaterialsKeys;
        return $this;
    }
    /**
     * Get relatedMoOperationsKeys value
     * @return \ArrayType\ArrayOfMOOperationKey|null
     */
    public function getRelatedMoOperationsKeys()
    {
        return $this->relatedMoOperationsKeys;
    }
    /**
     * Set relatedMoOperationsKeys value
     * @param \ArrayType\ArrayOfMOOperationKey $relatedMoOperationsKeys
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public function setRelatedMoOperationsKeys(\ArrayType\ArrayOfMOOperationKey $relatedMoOperationsKeys = null)
    {
        $this->relatedMoOperationsKeys = $relatedMoOperationsKeys;
        return $this;
    }
    /**
     * Get messages value
     * @return \ArrayType\ArrayOfUserMessage|null
     */
    public function getMessages()
    {
        return $this->messages;
    }
    /**
     * Set messages value
     * @param \ArrayType\ArrayOfUserMessage $messages
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public function setMessages(\ArrayType\ArrayOfUserMessage $messages = null)
    {
        $this->messages = $messages;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreateManufacturingOrderResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
