<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetManufacturingOrderListResponse StructType
 * @subpackage Structs
 */
class GetManufacturingOrderListResponse extends AbstractStructBase
{
    /**
     * The context
     * @var \StructType\Context
     */
    public $context;
    /**
     * The successful
     * @var bool
     */
    public $successful;
    /**
     * The hasMoreElements
     * @var bool
     */
    public $hasMoreElements;
    /**
     * The propertyNames
     * @var \ArrayType\ArrayOfString
     */
    public $propertyNames;
    /**
     * The queryName
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $queryName;
    /**
     * The domainObjects
     * @var \ArrayType\ArrayOfManufacturingOrder
     */
    public $domainObjects;
    /**
     * The messages
     * @var \ArrayType\ArrayOfUserMessage
     */
    public $messages;
    /**
     * Constructor method for GetManufacturingOrderListResponse
     * @uses GetManufacturingOrderListResponse::setContext()
     * @uses GetManufacturingOrderListResponse::setSuccessful()
     * @uses GetManufacturingOrderListResponse::setHasMoreElements()
     * @uses GetManufacturingOrderListResponse::setPropertyNames()
     * @uses GetManufacturingOrderListResponse::setQueryName()
     * @uses GetManufacturingOrderListResponse::setDomainObjects()
     * @uses GetManufacturingOrderListResponse::setMessages()
     * @param \StructType\Context $context
     * @param bool $successful
     * @param bool $hasMoreElements
     * @param \ArrayType\ArrayOfString $propertyNames
     * @param string $queryName
     * @param \ArrayType\ArrayOfManufacturingOrder $domainObjects
     * @param \ArrayType\ArrayOfUserMessage $messages
     */
    public function __construct(\StructType\Context $context = null, $successful = null, $hasMoreElements = null, \ArrayType\ArrayOfString $propertyNames = null, $queryName = null, \ArrayType\ArrayOfManufacturingOrder $domainObjects = null, \ArrayType\ArrayOfUserMessage $messages = null)
    {
        $this
            ->setContext($context)
            ->setSuccessful($successful)
            ->setHasMoreElements($hasMoreElements)
            ->setPropertyNames($propertyNames)
            ->setQueryName($queryName)
            ->setDomainObjects($domainObjects)
            ->setMessages($messages);
    }
    /**
     * Get context value
     * @return \StructType\Context|null
     */
    public function getContext()
    {
        return $this->context;
    }
    /**
     * Set context value
     * @param \StructType\Context $context
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setContext(\StructType\Context $context = null)
    {
        $this->context = $context;
        return $this;
    }
    /**
     * Get successful value
     * @return bool|null
     */
    public function getSuccessful()
    {
        return $this->successful;
    }
    /**
     * Set successful value
     * @param bool $successful
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setSuccessful($successful = null)
    {
        // validation for constraint: boolean
        if (!is_null($successful) && !is_bool($successful)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($successful, true), gettype($successful)), __LINE__);
        }
        $this->successful = $successful;
        return $this;
    }
    /**
     * Get hasMoreElements value
     * @return bool|null
     */
    public function getHasMoreElements()
    {
        return $this->hasMoreElements;
    }
    /**
     * Set hasMoreElements value
     * @param bool $hasMoreElements
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setHasMoreElements($hasMoreElements = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasMoreElements) && !is_bool($hasMoreElements)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasMoreElements, true), gettype($hasMoreElements)), __LINE__);
        }
        $this->hasMoreElements = $hasMoreElements;
        return $this;
    }
    /**
     * Get propertyNames value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getPropertyNames()
    {
        return $this->propertyNames;
    }
    /**
     * Set propertyNames value
     * @param \ArrayType\ArrayOfString $propertyNames
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setPropertyNames(\ArrayType\ArrayOfString $propertyNames = null)
    {
        $this->propertyNames = $propertyNames;
        return $this;
    }
    /**
     * Get queryName value
     * @return string|null
     */
    public function getQueryName()
    {
        return $this->queryName;
    }
    /**
     * Set queryName value
     * @param string $queryName
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setQueryName($queryName = null)
    {
        // validation for constraint: string
        if (!is_null($queryName) && !is_string($queryName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($queryName, true), gettype($queryName)), __LINE__);
        }
        $this->queryName = $queryName;
        return $this;
    }
    /**
     * Get domainObjects value
     * @return \ArrayType\ArrayOfManufacturingOrder|null
     */
    public function getDomainObjects()
    {
        return $this->domainObjects;
    }
    /**
     * Set domainObjects value
     * @param \ArrayType\ArrayOfManufacturingOrder $domainObjects
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setDomainObjects(\ArrayType\ArrayOfManufacturingOrder $domainObjects = null)
    {
        $this->domainObjects = $domainObjects;
        return $this;
    }
    /**
     * Get messages value
     * @return \ArrayType\ArrayOfUserMessage|null
     */
    public function getMessages()
    {
        return $this->messages;
    }
    /**
     * Set messages value
     * @param \ArrayType\ArrayOfUserMessage $messages
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public function setMessages(\ArrayType\ArrayOfUserMessage $messages = null)
    {
        $this->messages = $messages;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetManufacturingOrderListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
