<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LogoutResponse StructType
 * @subpackage Structs
 */
class LogoutResponse extends AbstractStructBase
{
    /**
     * The successful
     * @var bool
     */
    public $successful;
    /**
     * The messages
     * @var \ArrayType\ArrayOfUserMessage
     */
    public $messages;
    /**
     * Constructor method for LogoutResponse
     * @uses LogoutResponse::setSuccessful()
     * @uses LogoutResponse::setMessages()
     * @param bool $successful
     * @param \ArrayType\ArrayOfUserMessage $messages
     */
    public function __construct($successful = null, \ArrayType\ArrayOfUserMessage $messages = null)
    {
        $this
            ->setSuccessful($successful)
            ->setMessages($messages);
    }
    /**
     * Get successful value
     * @return bool|null
     */
    public function getSuccessful()
    {
        return $this->successful;
    }
    /**
     * Set successful value
     * @param bool $successful
     * @return \StructType\LogoutResponse
     */
    public function setSuccessful($successful = null)
    {
        // validation for constraint: boolean
        if (!is_null($successful) && !is_bool($successful)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($successful, true), gettype($successful)), __LINE__);
        }
        $this->successful = $successful;
        return $this;
    }
    /**
     * Get messages value
     * @return \ArrayType\ArrayOfUserMessage|null
     */
    public function getMessages()
    {
        return $this->messages;
    }
    /**
     * Set messages value
     * @param \ArrayType\ArrayOfUserMessage $messages
     * @return \StructType\LogoutResponse
     */
    public function setMessages(\ArrayType\ArrayOfUserMessage $messages = null)
    {
        $this->messages = $messages;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\LogoutResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
